# frozen_string_literal: true

$LOAD_PATH.unshift File.expand_path('../lib', __dir__)

require 'auth_strategist'

require 'rspec/its'

require 'dummy/controllers/dummy_controller'

AuthStrategist.configure do |g|
  g.strategies_path = 'spec/dummy/strategies'
  g.load_strategies!
end

AuthStrategist.strategies do |s|
  s.register :dummy_strategy, DummyStrategy
  s.register :missing_authorized, MissingAuthorized
end
