# frozen_string_literal: true

$LOAD_PATH.push File.expand_path('lib', __dir__)

require 'auth_strategist/version'

Gem::Specification.new do |s|
  s.name = 'auth_strategist'
  s.version = AuthStrategist::VERSION
  s.summary = 'Simple gem to realize API actions authorization with different strategies.'
  s.homepage = 'https://github.com/buszu/auth_strategist'
  s.license = 'MIT'

  s.authors = ['Krzysztof Buszewicz']
  s.email = ['krzysztof.buszewicz@gmail.com']

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- spec/*`.split("\n")
  s.require_paths = ['lib']

  s.add_dependency 'dry-container', '~> 0.7'
  s.add_dependency 'dry-initializer', '~> 3.0'

  s.add_development_dependency 'bundler'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'rspec'
  s.add_development_dependency 'rspec-its'
  s.add_development_dependency 'rubocop'
end
